@use "../bootstrap";

@mixin translate-input-label {
  color: unset;
  transform: translateY(5rem);
  padding-left: 0;

  @include bootstrap.respond-to-small-screen {
    transform: translateY(4rem);
  }
}

.cta-field {
  display: grid;
  width: 100%;
  grid-template-columns: 1fr 9.4rem;
  grid-template-rows: auto 5.7rem;

  @include bootstrap.respond-to-small-screen {
    grid-template-columns: 1fr 7.1rem;
    grid-template-rows: auto 4.7rem;
    justify-content: center;
  }

  &__description {
    font-size: 1.4rem;
    font-weight: 500;
    color: var(--color-grey-dark);
    margin-bottom: 0.9rem;
    grid-column: 1 / -1;

    @include bootstrap.respond-to-small-screen {
      font-size: 1rem;
      margin-bottom: 0.5rem;
    }
  }

  &__label {
    color: var(--color-grey-semidark);
    grid-column: 1 / span 1;
    grid-row: 1 / span 1;
    z-index: 1;
    align-self: center;
    padding-left: 2.1rem;
    transition: color 0.2s ease-out, transform 0.2s ease-out,
      padding-left 0.2s ease-out;

    @include bootstrap.respond-to-small-screen {
      padding-left: 1.9rem;
    }

    &.input-entered {
      @include translate-input-label;
    }
  }

  &__input {
    caret-color: currentcolor;
    background-color: var(--color-grey-light);
    border-radius: 1.2rem;
    grid-row: 1 / span 1;
    grid-column: 1 / span 1;
    padding-left: 2.1rem;
    transition: outline 0.1s ease-out;

    &:focus-visible {
      outline: currentcolor 0.2rem solid;
    }
  }

  &__input-wrapper {
    font-size: 1.8rem;
    font-weight: 500;
    grid-row: 2 / span 1;
    grid-column: 1 / -1;
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 100%;
    row-gap: 0.9rem;
    width: 100%;

    @include bootstrap.respond-to-small-screen {
      font-size: 1.4rem;
    }

    &:focus-within {
      & .cta-field__label:not(.input-entered) {
        @include translate-input-label;
      }
    }
  }

  &__button {
    font-size: 1.8rem;
    font-weight: 500;
    color: white;
    background-color: var(--color-primary);
    border-radius: 1.2rem;
    grid-column: 2 / span 1;
    grid-row: 2 / span 1;
    z-index: 1;
    margin: 0.4rem 0.4rem 0.4rem 0;
    text-align: center;
    transition: outline 75ms ease-in;

    @include bootstrap.respond-to-small-screen {
      font-size: 1.4rem;
    }

    &:hover,
    &:focus {
      outline: var(--color-dark) 0.3rem solid;
    }
  }
}
